%define name xmms-status-plugin
%define version 1.0
%define release %mkrel 11

Name:          %{name}
Version:       %{version}
Release:       %{release}
Summary:       A docklet for XMMS
Group:         Sound
License:       GPLv2+
BuildRequires: libxmms-devel
BuildRequires: gtk+-devel
Source:        %name-%{version}.tar.bz2
Source1:       xmms-status-plugin-1.0-de.po.bz2
BuildRoot:     %{_tmppath}/%{name}-%{version}-buildroot
Url: http://www.hellion.org.uk/xmms-status-plugin/index.html
BuildRequires: automake1.8
BuildRequires: gettext-devel

%description
A status docklet for XMMS, docks into the GNOME Status dock. 

Should work with the KDE equivalent.

%prep

%setup -q
bzcat %SOURCE1 > po/de.po
rm -f configure
aclocal-1.8
autoconf
libtoolize --copy --force 

%build
%configure2_5x --disable-more-warnings --disable-fatal-warnings

%make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std MKINSTALLDIRS=`pwd`/mkinstalldirs
rm -f $RPM_BUILD_ROOT/%{_libdir}/xmms/General/libstatusdocklet.la

%find_lang %name
%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING CREDITS
%{_libdir}/xmms/General/libstatusdocklet.so
%dir %{_datadir}/xmms/status_docklet
%{_datadir}/xmms/status_docklet/*



%changelog
* Tue Aug 04 2009 Götz Waschk <waschk@mandriva.org> 1.0-11mdv2010.0
+ Revision: 408658
- update license

* Mon Aug 04 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0-10mdv2009.0
+ Revision: 262612
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0-9mdv2009.0
+ Revision: 257537
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0-7mdv2008.1
+ Revision: 130424
- kill re-definition of %%buildroot on Pixel's request

* Wed Aug 01 2007 Götz Waschk <waschk@mandriva.org> 1.0-7mdv2008.0
+ Revision: 57542
- call libtoolize


* Mon Jul 31 2006 Götz Waschk <waschk@mandriva.org> 1.0-1mdv2007.0
- Rebuild

* Thu May 11 2006 Götz Waschk <waschk@mandriva.org> 1.0-6mdk
- Rebuild
- use mkrel

* Tue May 10 2005 Gtz Waschk <waschk@mandriva.org> 1.0-5mdk
- fix build on x86_64

* Fri May 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-4mdk
- fix buildrequires

